#!/usr/bin/python

import psycopg2
import sys

from capomastro import db_settings

try:
    db_role = sys.argv[1]
    db_name = db_settings.DATABASES['default']['NAME']
    db_user = db_settings.DATABASES['default']['USER']
    db_host = db_settings.DATABASES['default']['HOST']
    db_port = db_settings.DATABASES['default']['PORT']
    db_password = db_settings.DATABASES['default']['PASSWORD']
    conn = psycopg2.connect("dbname=%s user=%s port=%s host=%s password=%s" % \
        (db_name, db_user, db_port, db_host, db_password))
except:
    print "Unable to connect to the database!"
    sys.exit(1)

try:
    cur = conn.cursor()
    print "Granting default privileges for %s to %s" % (db_user, db_role)
    cur.execute("ALTER DEFAULT PRIVILEGES FOR ROLE %s \
                GRANT ALL ON SEQUENCES TO %s" % (db_user, db_role))
    cur.execute("ALTER DEFAULT PRIVILEGES FOR ROLE %s \
                GRANT ALL ON FUNCTIONS TO %s" % (db_user, db_role))
    cur.execute("ALTER DEFAULT PRIVILEGES FOR ROLE %s \
                GRANT ALL ON TABLES TO %s" % (db_user, db_role))
    cur.close()
    conn.commit()
    conn.close()
except:
    print "Error in granting permissions!"
    sys.exit(1)
