#!/bin/bash
#
# This file is managed by Juju. Do not make local changes.
#
# Check status of the Celery tasker, its events and log status to files for Nagios to check

status_critical="CRITICAL"
status_dir=/var/log/capomastro

capomastro_status=$(LC_ALL=C celery -A capomastro status -C | grep -w $(hostname -s) | awk '{print $2}')

if [[ -z ${capomastro_status} ]]; then
	capomastro_status=${status_critical}
fi

echo ${capomastro_status} > ${status_dir}/capomastro-celery-status

# to be reviewed after the initial merge, needs checking
# as celerycam is gone in the current version of celery
# and it has been replaced by flower, which is not packaged
# and as of today there is no way to simply list events
# to check whether they're good or what, they are only
# visible inside a ncurses UI
#
# flower? celerycam is gone! 2>&1 > /dev/null
#
# if [[ $? -eq 0 ]]; then
# 	events_status="OK"
# else
# 	events_status=${status_critical}
# fi
# 
# echo ${events_status} > ${status_dir}/celery-events-status
