#!/bin/bash
#
# This file is managed by Juju. Do not make local changes.
#
# Query a status file for current state of a resource.

set -u

. /usr/lib/nagios/plugins/utils.sh

STATUS_FILE=${1}

if [[ ! -f ${STATUS_FILE} ]]; then
    echo "CRITICAL: Failed to open status file (${STATUS_FILE})"
    exit ${STATE_CRITICAL}
fi

STATUS=$(cat ${STATUS_FILE})

if [[ ${STATUS} == "OK" ]]; then
    echo "OK"
    exit ${STATE_OK}
else
    echo "CRITICAL: Status is ${STATUS}"
    exit ${STATE_CRITICAL}
fi
